Skip to content
Proud to collaborate with Microsoft for Startups

docusign.bulk-send.put-bulk-send-batch-action ​

Use this endpoint to resend, correct, or void all envelopes from a specified bulk send.

Applies a bulk action to all envelopes from a specified bulk send.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
bulkactionstringYes—The action to apply. Valid values: * resend * correct * void
bulksendbatchidstringYes—The batch ID.
actionstringNo—The action to apply. Valid values: * Resend * Correct * Void This property is required and case-sensitive. The value must correspond to the bulkAction query parameter.
notificationjsonNo—A complex element that specifies the notification settings for the envelope.
voidreasonstringNo—A string explaining why the envelope is voided. This value is shown in a message to the recipients. This property is required if action is Void.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
bulkactionstringYes—The action to apply. Valid values: * resend * correct * void
bulksendbatchidstringYes—The batch ID.
actionstringNo—The action to apply. Valid values: * Resend * Correct * Void This property is required and case-sensitive. The value must correspond to the bulkAction query parameter.
notificationjsonNo—A complex element that specifies the notification settings for the envelope.
voidreasonstringNo—A string explaining why the envelope is voided. This value is shown in a message to the recipients. This property is required if action is Void.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.bulk-send.put-bulk-send-batch-action",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "bulkaction": "value",
    "bulksendbatchid": "value"
  }
}